SPROCKETS(1)

NAME
sprockets - command line tool for Sprockets library.

Sprockets is a Ruby library for compiling and serving web assets. It features declarative dependency management for JavaScript and CSS assets, as well as a powerful preprocessor pipeline that allows you to write assets in languages like CoffeeScript, Sass, SCSS and LESS.

SYNOPSIS
sprockets [options] filename [filename ...]

DESCRIPTION

-r, --require LIBRARY
    Require the LIBRARY before doing anything

-I, --include=DIRECTORY
    Adds the directory to the Sprockets load path

-o, --output=DIRECTORY
    Copy provided assets into DIRECTORY

--css-compressor=COMPRESSOR
    Use CSS compressor

--js-compressor=COMPRESSOR
    Use JavaScript compressor

--noenv
    Disables .sprocketsrc file

-h, --help
    Shows this help message

-v, --version
    Shows version